
  

    location = / {
       return 301 https://$host/vnc.html;
    }

	location /  {
 
            # Enable Authentication 
            auth_request /auth-proxy;

            # Enable websockets for the noVNC console to work
            proxy_http_version 1.1;
	        proxy_set_header Connection $http_connection;
	        proxy_set_header Origin http://$host;
	        proxy_set_header Upgrade $http_upgrade;

            # VNC connection timeout
            proxy_read_timeout 61s;

            # Disable cache
            proxy_buffering off;

        	proxy_set_header        Host $host;
        	proxy_set_header        X-Real-IP $remote_addr;
	        proxy_set_header        X-Forwarded-For $proxy_add_x_forwarded_for;
        	proxy_set_header        X-Forwarded-Proto $scheme;

	        proxy_pass      http://127.0.0.1:42005/;
        	proxy_redirect  off;

    }

    location = /auth-proxy {
        internal;

        proxy_pass http://127.0.0.1:52005/auth;

        proxy_pass_request_body off;
        proxy_set_header Content-Length "";
        proxy_cache_valid 202 10m;

        # The following directive adds the cookie to the cache key
        proxy_cache_key "$http_authorization";

        proxy_set_header X-Ldap-Group "*";
    }
